package com.goafanti.easemob.bo;

import org.springframework.http.HttpMethod;

public class EasemobInfo {
	private String		uri;

	private String		data;

	private HttpMethod	method;

	private int			tryCount	= 0;

	private boolean		withAuth	= true;

	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	public String getData() {
		return data;
	}

	public void setData(String data) {
		this.data = data;
	}

	public int getTryCount() {
		return tryCount;
	}

	public void setTryCount(int tryCount) {
		this.tryCount = tryCount;
	}

	public HttpMethod getMethod() {
		return method;
	}

	public void setMethod(HttpMethod method) {
		this.method = method;
	}

	public boolean isWithAuth() {
		return withAuth;
	}

	public void setWithAuth(boolean withAuth) {
		this.withAuth = withAuth;
	}

	public EasemobInfo uri(String uri) {
		this.uri = uri;
		return this;
	}

	public EasemobInfo method(HttpMethod method) {
		this.method = method;
		return this;
	}

	public EasemobInfo tryCount(int tryCount) {
		this.tryCount = tryCount;
		return this;
	}

	public EasemobInfo data(String data) {
		this.data = data;
		return this;
	}

	public EasemobInfo withAuth(boolean withAuth) {
		this.withAuth = withAuth;
		return this;
	}

}
